Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Defines | Functions | Variables

# miniprelude.c File Reference

`#include "ruby/ruby.h"`
`#include "vm_core.h"`
Include dependency graph for miniprelude.c:

Go to the source code of this file.

## Defines
#define | PRELUDE_COUNT 0
## Functions
VALUE | rb_iseq_compile_with_option (VALUE src, VALUE file, VALUE filepath, VALUE line, VALUE opt)
static void | prelude_eval (VALUE code, VALUE name, VALUE line)
void | Init_prelude (void)
## Variables
static const char | prelude_name0 [] = "<internal:prelude>"
static const char | prelude_code0 [] = "end\n"

## Define Documentation

#define PRELUDE_COUNT 0

Definition at line 45 of file miniprelude.c.

## Function Documentation

void Init_prelude | ( | void |  | ) |

Definition at line 57 of file miniprelude.c.

Referenced by ruby_init_gems().

static void prelude_eval | ( | VALUE | code,
|  | VALUE | name,
|  | VALUE | line
| ) |  | `[static]`

Definition at line 51 of file miniprelude.c.

References Qnil, Qtrue, rb_iseq_compile_with_option(), and rb_iseq_eval().

Referenced by Init_prelude().

VALUE rb_iseq_compile_with_option | ( | VALUE | src,
|  | VALUE | file,
|  | VALUE | filepath,
|  | VALUE | line,
|  | VALUE | opt
| ) |  |

Definition at line 549 of file iseq.c.

## Variable Documentation

const char prelude_code0[] = "end\n"`[static]`

Definition at line 11 of file miniprelude.c.

Referenced by Init_prelude().

const char prelude_name0[] = "<internal:prelude>"`[static]`

Definition at line 10 of file miniprelude.c.

Referenced by Init_prelude().